createArmyAttack1 = function()
	-- PlayerAttackUA via water(frozen) otherwise land
	PlayerWaterAttackUA = UnlimitedArmy:New({
					Player = 4,
					Area = 4000,
					TransitAttackMove = true,
					Formation = UnlimitedArmy.Formations.Chaotic,
					LeaderFormation = FormationFunktion,
					AIActive = true,
					AutoRotateRange = true,
					DoNotNormalizeSpeed = false,
					})
	local icepos = GetPosition("FirstAttackSpawn1")
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderSword4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderSword4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderSword4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderPoleArm4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderPoleArm4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PV_Cannon4, 0, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderBow4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderBow4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderBow4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderBow4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PV_Cannon4, 0, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PU_LeaderSword4, 8, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PV_Cannon3, 0, icepos, 0)
	PlayerWaterAttackUA:CreateLeaderForArmy(Entities.PV_Cannon3, 0, icepos, 0)
end

FormationFunktion = function(self, truppid)
	if Logic.IsEntityInCategory(truppid, EntityCategories.Cannon)==1 then
		return 1
	end
	if Logic.IsEntityInCategory(truppid, EntityCategories.Hero)==1 then
		return 1
	end
	if Logic.IsEntityInCategory(truppid, EntityCategories.CavalryHeavy)==1 then
		return 7
	end
	if Logic.IsEntityInCategory(truppid, EntityCategories.CavalryLight)==1 then
		return 2
	end
	if Logic.IsEntityInCategory(truppid, EntityCategories.Bow)==1 or Logic.IsEntityInCategory(truppid, EntityCategories.Rifle)==1 then
		return 2
	end
	if Logic.IsEntityInCategory(truppid, EntityCategories.Spear)==1 then
		return 6
	end
	if Logic.IsEntityInCategory(truppid, EntityCategories.Sword)==1 then
		return 4
	end
	return 1
end